%define name mkahawa-client
%define version 0.0.3
%define release %mkrel 1


Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Mkahawa client is an open-source project that builds on Cafe Con Leche 
Group:		Networking/Other
License:	GNU GPL
URL:		http://mkahawa.net/
Source:		%{name}-%{version}.tar.xz
Patch0:		mkahawa-client-0.0.3.fix.patch.tar.bz2
Source1:	certc.sh
Source2:	openssl.cnf
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	libfox1.6_0
Requires:	libcclc >= 0.8.0
Requires:	libccls >= 0.8.1
BuildRequires:  libfox1.6-devel
BuildRequires:  libcclc-devel >= 0.8.0
BuildRequires:  libccls-devel >= 0.8.0


%description
Mkahawa cleint is an open-source project that builds on Cafe Con Leche
or CCL  - the nifty, cross-platform Internet Cafe billing and
Management Software started by Bruno Deferrari.


%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make

%install
%make install DESTDIR=${RPM_BUILD_ROOT}

mkdir -p  $RPM_BUILD_ROOT/usr/tmp/certmka
%__install -m 755 %{SOURCE1} %{SOURCE2} -D $RPM_BUILD_ROOT/usr/tmp/certmka


%post
cd /usr/tmp/certmka/
sh certc.sh
rm -rf /usr/tmp/certmka

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}                                                                                                                                         
%{_datadir}/locale/es/LC_MESSAGES/*.mo
/usr/tmp/certmka/*

%changelog

* Tue Jul 13 2010 maik3531 <maik3531 at yahoo.de> 0.0.3
- initial build for PCLinuxOS

